ApiCmPeer (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiCmPeer

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiCmPeer

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiCmPeer
      extends Object

  Information about a Cloudera Manager peer instance. <p> The requirement and usage of <i>username</i> and <i>password</i> properties are dependent on the <i>clouderaManagerCreatedUser</i> flag. <p> When creating peers, if 'clouderaManagerCreatedUser' is true, the username/password should be the credentials of a user with administrator privileges on the remote Cloudera Manager. These credentials are not stored, they are used to connect to the peer and create a user in that peer. The newly created user is stored and used for communication with that peer. If 'clouderaManagerCreatedUser' is false, which is not applicable to REPLICATION peer type, the username/password to the remote Cloudera Manager are directly stored and used for all communications with that peer. <p> When updating peers, if 'clouderaManagerCreatedUser' is true and username/password are set, a new remote user will be created. If 'clouderaManagerCreatedUser' is false and username/password are set, the stored username/password will be updated. <p> If 'createUserWithAdminRole' is true and 'clouderaManagerCreatedUser' is true, the created internal user will also be granted admin role.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiCmPeer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiCmPeer` | `clouderaManagerCreatedUser(Boolean clouderaManagerCreatedUser)`
    `ApiCmPeer` | `createUserWithAdminRole(Boolean createUserWithAdminRole)`
    `boolean` | `equals(Object o)`
    `Boolean` | `getClouderaManagerCreatedUser()` If true, Cloudera Manager creates a remote user using the given username/password and stores the created user in local DB for use in later communication.
    `Boolean` | `getCreateUserWithAdminRole()` If true and clouderaManagerCreatedUser is true, the created user will have admin role granted.
    `String` | `getName()` The name of the remote CM instance.
    `String` | `getPassword()` When creating peers, if 'clouderaManagerCreatedUser' is true, this should be the remote admin password for creating a user in remote Cloudera Manager.
    `ApiCmPeerType` | `getType()` The type of the remote CM instance.
    `String` | `getUrl()` The URL of the remote CM instance.
    `String` | `getUsername()` When creating peers, if 'clouderaManagerCreatedUser' is true, this should be the remote admin username for creating a user in remote Cloudera Manager.
    `int` | `hashCode()`
    `ApiCmPeer` | `name(String name)`
    `ApiCmPeer` | `password(String password)`
    `void` | `setClouderaManagerCreatedUser(Boolean clouderaManagerCreatedUser)`
    `void` | `setCreateUserWithAdminRole(Boolean createUserWithAdminRole)`
    `void` | `setName(String name)`
    `void` | `setPassword(String password)`
    `void` | `setType(ApiCmPeerType type)`
    `void` | `setUrl(String url)`
    `void` | `setUsername(String username)`
    `String` | `toString()`
    `ApiCmPeer` | `type(ApiCmPeerType type)`
    `ApiCmPeer` | `url(String url)`
    `ApiCmPeer` | `username(String username)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiCmPeer

          public ApiCmPeer()

  - ### Method Detail

    - #### name

          public ApiCmPeer name(String name)

    - #### getName

          public String getName()

      The name of the remote CM instance. Immutable during update.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### type

          public ApiCmPeer type(ApiCmPeerType type)

    - #### getType

          public ApiCmPeerType getType()

      The type of the remote CM instance. Immutable during update. Available since API v11.
      Returns:
        type

    - #### setType

          public void setType(ApiCmPeerType type)

    - #### url

          public ApiCmPeer url(String url)

    - #### getUrl

          public String getUrl()

      The URL of the remote CM instance. Mutable during update.
      Returns:
        url

    - #### setUrl

          public void setUrl(String url)

    - #### username

          public ApiCmPeer username(String username)

    - #### getUsername

          public String getUsername()

      When creating peers, if 'clouderaManagerCreatedUser' is true, this should be the remote admin username for creating a user in remote Cloudera Manager. The created remote user will then be stored in the local Cloudera Manager DB and used in later communication. If 'clouderaManagerCreatedUser' is false, which is not applicable to REPLICATION peer type, Cloudera Manager will store this username in the local DB directly and use it together with 'password' for communication. Mutable during update. When set during update, if 'clouderaManagerCreatedUser' is true, a new user in remote Cloudera Manager is created, the newly created remote user will be stored in the local DB. An attempt to delete the previously created remote user will be made; If 'clouderaManagerCreatedUser' is false, the username/password in the local DB will be updated.
      Returns:
        username

    - #### setUsername

          public void setUsername(String username)

    - #### password

          public ApiCmPeer password(String password)

    - #### getPassword

          public String getPassword()

      When creating peers, if 'clouderaManagerCreatedUser' is true, this should be the remote admin password for creating a user in remote Cloudera Manager. The created remote user will then be stored in the local Cloudera Manager DB and used in later communication. If 'clouderaManagerCreatedUser' is false, which is not applicable to REPLICATION peer type, Cloudera Manager will store this password in the local DB directly and use it together with 'username' for communication. Mutable during update. When set during update, if 'clouderaManagerCreatedUser' is true, a new user in remote Cloudera Manager is created, the newly created remote user will be stored in the local DB. An attempt to delete the previously created remote user will be made; If 'clouderaManagerCreatedUser' is false, the username/password in the local DB will be updated.
      Returns:
        password

    - #### setPassword

          public void setPassword(String password)

    - #### clouderaManagerCreatedUser

          public ApiCmPeer clouderaManagerCreatedUser(Boolean clouderaManagerCreatedUser)

    - #### getClouderaManagerCreatedUser

          public Boolean getClouderaManagerCreatedUser()

      If true, Cloudera Manager creates a remote user using the given username/password and stores the created user in local DB for use in later communication. Cloudera Manager will also try to delete the created remote user when deleting such peers. If false, Cloudera Manager will store the provided username/password in the local DB and use them in later communication. 'false' value on this field is not applicable to REPLICATION peer type. Available since API v11. Immutable during update. Should not be set when updating peers.
      Returns:
        clouderaManagerCreatedUser

    - #### setClouderaManagerCreatedUser

          public void setClouderaManagerCreatedUser(Boolean clouderaManagerCreatedUser)

    - #### createUserWithAdminRole

          public ApiCmPeer createUserWithAdminRole(Boolean createUserWithAdminRole)

    - #### getCreateUserWithAdminRole

          public Boolean getCreateUserWithAdminRole()

      If true and clouderaManagerCreatedUser is true, the created user will have admin role granted. If false and clouderaManagerCreatedUser is true, the created user will have user role. null means false. Available since API v44. Needs to be set during update if changing the URL.
      Returns:
        createUserWithAdminRole

    - #### setCreateUserWithAdminRole

          public void setCreateUserWithAdminRole(Boolean createUserWithAdminRole)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.